Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.common
Class XMLTemplate

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--com.bea.wlpi.client.common.XMLTemplate

public class XMLTemplate
extends org.xml.sax.helpers.DefaultHandler
implements org.xml.sax.ext.LexicalHandler

Internal use only.

Since:
  WebLogic Integration version 2.1
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Inner Class Summary
`protected class` | `XMLTemplate.NameSpaceDeclaration`

Field Summary
`protected org.xml.sax.XMLReader` | `parser`

Constructor Summary
`XMLTemplate()`
`XMLTemplate(java.lang.String name, org.xml.sax.Attributes atts, org.xml.sax.XMLReader parser)`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `comment(char[] ch, int start, int length)`
`boolean` | `containsDoctypeDeclaration()`
`void` | `endCDATA()`
`void` | `endDTD()`
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String name)`
`void` | `endEntity(java.lang.String name)`
`void` | `evaluateExpressions(PluginPanelContext context)`
`org.w3c.dom.Document` | `getDocument()`
`java.lang.String` | `getDocumentWithType()`
`boolean` | `getEscapeNodeValues()`
`boolean` | `getPrettify()`
`boolean` | `isVariableUsedInDocument(java.util.Collection vUsed, java.lang.String variableName, PluginPanelContext context)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `renameVariableInDocument(java.lang.String oldName, java.lang.String newName, PluginPanelContext context)`
`void` | `save(java.io.BufferedWriter writer, int indent)`
`void` | `setDocument(org.w3c.dom.Document doc)`
`void` | `setEscapeNodeValues(boolean escapeNodeValues)`
`void` | `setPrettify(boolean prettify)`
`void` | `startCDATA()`
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String name, org.xml.sax.Attributes atts)`
`void` | `startEntity(java.lang.String name)`
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, resolveEntity, setDocumentLocator, skippedEntity, startDocument, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parser

    protected transient org.xml.sax.XMLReader parser

Constructor Detail

### XMLTemplate

    public XMLTemplate(java.lang.String name,
                       org.xml.sax.Attributes atts,
                       org.xml.sax.XMLReader parser)

### XMLTemplate

    public XMLTemplate()

Method Detail

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String name)
                    throws org.xml.sax.SAXException

  Overrides:
    endElement in class org.xml.sax.helpers.DefaultHandler

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws org.xml.sax.SAXException

  Overrides:
    startPrefixMapping in class org.xml.sax.helpers.DefaultHandler

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String name,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Overrides:
    startElement in class org.xml.sax.helpers.DefaultHandler

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  Overrides:
    characters in class org.xml.sax.helpers.DefaultHandler

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Overrides:
    processingInstruction in class org.xml.sax.helpers.DefaultHandler

### startCDATA

    public void startCDATA()
                    throws org.xml.sax.SAXException

  Specified by:
    startCDATA in interface org.xml.sax.ext.LexicalHandler

### endCDATA

    public void endCDATA()
                  throws org.xml.sax.SAXException

  Specified by:
    endCDATA in interface org.xml.sax.ext.LexicalHandler

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)
                  throws org.xml.sax.SAXException

  Specified by:
    startDTD in interface org.xml.sax.ext.LexicalHandler

### endDTD

    public void endDTD()
                throws org.xml.sax.SAXException

  Specified by:
    endDTD in interface org.xml.sax.ext.LexicalHandler

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws org.xml.sax.SAXException

  Specified by:
    comment in interface org.xml.sax.ext.LexicalHandler

### startEntity

    public void startEntity(java.lang.String name)
                     throws org.xml.sax.SAXException

  Specified by:
    startEntity in interface org.xml.sax.ext.LexicalHandler

### endEntity

    public void endEntity(java.lang.String name)
                   throws org.xml.sax.SAXException

  Specified by:
    endEntity in interface org.xml.sax.ext.LexicalHandler

### containsDoctypeDeclaration

    public boolean containsDoctypeDeclaration()

### getDocumentWithType

    public java.lang.String getDocumentWithType()

### getDocument

    public org.w3c.dom.Document getDocument()

### setDocument

    public void setDocument(org.w3c.dom.Document doc)

### getEscapeNodeValues

    public boolean getEscapeNodeValues()

### setEscapeNodeValues

    public void setEscapeNodeValues(boolean escapeNodeValues)

### getPrettify

    public boolean getPrettify()

### setPrettify

    public void setPrettify(boolean prettify)

### save

    public void save(java.io.BufferedWriter writer,
                     int indent)
              throws java.io.IOException

### isVariableUsedInDocument

    public boolean isVariableUsedInDocument(java.util.Collection vUsed,
                                            java.lang.String variableName,
                                            PluginPanelContext context)

### renameVariableInDocument

    public void renameVariableInDocument(java.lang.String oldName,
                                         java.lang.String newName,
                                         PluginPanelContext context)

### evaluateExpressions

    public void evaluateExpressions(PluginPanelContext context)
                             throws WorkflowException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)